package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 行李系统UPS电池生命周期对象 ups_battery_lifecycle
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class UpsBatteryLifecycle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long id;

    /** 类型 */
    @ExcelProperty(value = "类型")
    private String type;

    /** UPS安装柜体名称 */
    @ExcelProperty(value = "UPS安装柜体名称")
    private String upsInstallationCabinetName;

    /** 参照位置 */
    @ExcelProperty(value = "参照位置")
    private String referenceLocation;

    /** 位置描述 */
    @ExcelProperty(value = "位置描述")
    private String locationDescription;

    /** 现UPS来源 */
    @ExcelProperty(value = "现UPS来源")
    private String currentUps;

    /** 取电 */
    @ExcelProperty(value = "取电")
    private String powerSource;

    /** 涉及区域 */
    @ExcelProperty(value = "涉及区域")
    private String affectedArea;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 第1次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第1次")
    private String replacement1;

    /** 第2次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第2次")
    private String replacement2;

    /** 第3次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第3次")
    private String replacement3;

    /** 第4次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第4次")
    private String replacement4;

    /** 第5次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第5次")
    private String replacement5;

    /** 第6次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第6次")
    private String replacement6;

    /** 第7次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第7次")
    private String replacement7;

    /** 第8次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第8次")
    private String replacement8;

    /** 第9次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第9次")
    private String replacement9;

    /** 第10次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第10次")
    private String replacement10;

    /** 第11次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第11次")
    private String replacement11;

    /** 第12次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第12次")
    private String replacement12;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUpsInstallationCabinetName(String upsInstallationCabinetName) 
    {
        this.upsInstallationCabinetName = upsInstallationCabinetName;
    }

    public String getUpsInstallationCabinetName() 
    {
        return upsInstallationCabinetName;
    }
    public void setReferenceLocation(String referenceLocation) 
    {
        this.referenceLocation = referenceLocation;
    }

    public String getReferenceLocation() 
    {
        return referenceLocation;
    }
    public void setLocationDescription(String locationDescription) 
    {
        this.locationDescription = locationDescription;
    }

    public String getLocationDescription() 
    {
        return locationDescription;
    }
    public void setCurrentUps(String currentUps) 
    {
        this.currentUps = currentUps;
    }

    public String getCurrentUps() 
    {
        return currentUps;
    }
    public void setPowerSource(String powerSource) 
    {
        this.powerSource = powerSource;
    }

    public String getPowerSource() 
    {
        return powerSource;
    }
    public void setAffectedArea(String affectedArea) 
    {
        this.affectedArea = affectedArea;
    }

    public String getAffectedArea() 
    {
        return affectedArea;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setReplacement1(String replacement1) 
    {
        this.replacement1 = replacement1;
    }

    public String getReplacement1() 
    {
        return replacement1;
    }
    public void setReplacement2(String replacement2) 
    {
        this.replacement2 = replacement2;
    }

    public String getReplacement2() 
    {
        return replacement2;
    }
    public void setReplacement3(String replacement3) 
    {
        this.replacement3 = replacement3;
    }

    public String getReplacement3() 
    {
        return replacement3;
    }
    public void setReplacement4(String replacement4) 
    {
        this.replacement4 = replacement4;
    }

    public String getReplacement4() 
    {
        return replacement4;
    }
    public void setReplacement5(String replacement5) 
    {
        this.replacement5 = replacement5;
    }

    public String getReplacement5() 
    {
        return replacement5;
    }
    public void setReplacement6(String replacement6) 
    {
        this.replacement6 = replacement6;
    }

    public String getReplacement6() 
    {
        return replacement6;
    }
    public void setReplacement7(String replacement7) 
    {
        this.replacement7 = replacement7;
    }

    public String getReplacement7() 
    {
        return replacement7;
    }
    public void setReplacement8(String replacement8) 
    {
        this.replacement8 = replacement8;
    }

    public String getReplacement8() 
    {
        return replacement8;
    }
    public void setReplacement9(String replacement9) 
    {
        this.replacement9 = replacement9;
    }

    public String getReplacement9() 
    {
        return replacement9;
    }
    public void setReplacement10(String replacement10) 
    {
        this.replacement10 = replacement10;
    }

    public String getReplacement10() 
    {
        return replacement10;
    }
    public void setReplacement11(String replacement11) 
    {
        this.replacement11 = replacement11;
    }

    public String getReplacement11() 
    {
        return replacement11;
    }
    public void setReplacement12(String replacement12) 
    {
        this.replacement12 = replacement12;
    }

    public String getReplacement12() 
    {
        return replacement12;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("upsInstallationCabinetName", getUpsInstallationCabinetName())
            .append("referenceLocation", getReferenceLocation())
            .append("locationDescription", getLocationDescription())
            .append("currentUps", getCurrentUps())
            .append("powerSource", getPowerSource())
            .append("affectedArea", getAffectedArea())
            .append("remarks", getRemarks())
            .append("replacement1", getReplacement1())
            .append("replacement2", getReplacement2())
            .append("replacement3", getReplacement3())
            .append("replacement4", getReplacement4())
            .append("replacement5", getReplacement5())
            .append("replacement6", getReplacement6())
            .append("replacement7", getReplacement7())
            .append("replacement8", getReplacement8())
            .append("replacement9", getReplacement9())
            .append("replacement10", getReplacement10())
            .append("replacement11", getReplacement11())
            .append("replacement12", getReplacement12())
            .toString();
    }
}
